#ifndef __ClassR_Header
#define __ClassR_Header

#include <iostream>
using std::cout;
#include <memory> // wegen shared_ptr
using std::shared_ptr;
#include <vector>
using std::vector; 

class R {
public:
   R(int id = 9) : m_id(id) {
      cout << "+R" << id << " ";
   }
   ~R() {
      cout << "-R" << m_id << " ";
   }
   void addFr(shared_ptr<R> f) {
      myFr.push_back(f);
   }
private:
   vector<shared_ptr<R>> myFr;
   int m_id;
};
#endif /* __ClassR_Header */

