#ifndef __ClassY_Header
#define __ClassY_Header

#include <iostream>
using std::cout;
#include <memory> // wegen shared_ptr
using std::shared_ptr;

class Y {
public:
   Y(int id = 9) : m_id(id) {
      cout << "+Y" << id << " ";
   }
   ~Y() {
      cout << "-Y" << m_id << " ";
   }
   int getId() const {return m_id;}
private:
   int m_id;
}; 

#endif /* __ClassY_Header */

